aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-cycler/APKBUILD
diff options
context:
space:
mode:
authorIsaac Dunham <ibid.ag@gmail.com>2016-04-07 13:01:53 -0700
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-08 13:41:19 +0000
commita0a930061b92b9957cd84284c6d20e1be649c9d6 (patch)
treebc95e35055d1ffea53624c3f75dbee77a6c1aa73 /testing/py-cycler/APKBUILD
parenta4d862480c9a34d9249104679e87f163fe0ef5fd (diff)
downloadaports-a0a930061b92b9957cd84284c6d20e1be649c9d6.tar.gz
aports-a0a930061b92b9957cd84284c6d20e1be649c9d6.tar.bz2
aports-a0a930061b92b9957cd84284c6d20e1be649c9d6.tar.xz
testing/py-cycler: new package
Cycler provides composable styles; it is needed by the latest version of matplotlib.
Diffstat (limited to 'testing/py-cycler/APKBUILD')
-rw-r--r--testing/py-cycler/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/py-cycler/APKBUILD b/testing/py-cycler/APKBUILD
new file mode 100644
index 0000000000..c5d41abe18
--- /dev/null
+++ b/testing/py-cycler/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Isaac Dunham <ibid.ag@gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag@gmail.com>
+pkgname=py-cycler
+_pkgname=cycler
+pkgver=0.10.0
+pkgrel=0
+pkgdesc="Composable style cycles in Python"
+url="http://matplotlib.org/cycler/"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/C/Cycler/${_pkgname}-$pkgver.tar.gz"
+
+builddir="${srcdir}/${_pkgname}-$pkgver"
+build() {
+ cd "$builddir" || return 1
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4cb42917ac5007d1cdff6cccfe2d016b cycler-0.10.0.tar.gz"
+sha256sums="cd7b2d1018258d7247a71425e9f26463dfb444d411c39569972f4ce586b0c9d8 cycler-0.10.0.tar.gz"
+sha512sums="b7d2ba19861ffaf4dea0444bfe68b5a6264a022d7b3f02c9ff5e5859e3901de12a90f8dc7469e995e09c418515b3df55dbf05a0cfe5368d40790a2c878a74819 cycler-0.10.0.tar.gz"